Get EVM transactions by height
curl --request GET \
--url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/by_height/{height}import requests
url = "https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/by_height/{height}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/tx/v1/evm-txs/by_height/{height}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"txs": [
{
"blockHash": "<string>",
"blockNumber": "<string>",
"contractAddress": "<string>",
"cumulativeGasUsed": "<string>",
"effectiveGasPrice": "<string>",
"from": "<string>",
"gasUsed": "<string>",
"logs": [
{
"address": "<string>",
"topics": [
"<string>"
],
"data": "<string>",
"blockNumber": "<string>",
"transactionHash": "<string>",
"transactionIndex": "<string>",
"blockHash": "<string>",
"logIndex": "<string>",
"removed": true
}
],
"logsBloom": "<string>",
"status": "<string>",
"to": "<string>",
"transactionHash": "<string>",
"transactionIndex": "<string>",
"type": "<string>"
}
],
"pagination": {
"previous_key": "<string>",
"next_key": "<string>",
"total": "<string>"
}
}EVM Transactions
Get EVM transactions by height
Returns EVM transactions at a specific block height. Only available on EVM chains.
GET
/
indexer
/
tx
/
v1
/
evm-txs
/
by_height
/
{height}
Get EVM transactions by height
Path Parameters
The block height.
Query Parameters
Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
Whether to return the total count. Defaults to true.
When true, returns results in descending order. Defaults to true.
Was this page helpful?
⌘I